
Price Monitoring - Bug #1573

the user can add two section with the same name and no validation is displayed 

08/01/2019 03:37 PM - Israa Naser

Status: Closed Start date: 08/01/2019

Priority: Normal Due date:  

Assignee: Israa Naser % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Co-Workers: Abed Abuhalawa Actual Result:  

Severity: Normal Environment: QA

Category: Price monitoring module Transaction Number:  

Sub-Category: Add Category Screen - اضافة قسم Browser: Firefox

Step_Description:  URL:  

Pre_Conditions:  Test Case ID:  

Expected Result: there should be a validation added

القسم معرف مسبقا يرجى ادخال قسم"

and not let the user add the "اخر

duplicated section 

  

Description

يمكن للمستخدم اضافة قسمين بنفس الاسم والوصف بينما يجب اظهار رسالة خطأ

"القسم معرف مسبقا يرجى ادخال قسم اخر"

steps to duplicate:

1- from the screen اضافة قسم add new section

2- add another section with the same name

there should be a validation added "القسم معرف مسبقا يرجى ادخال قسم اخر" and not let the user add the duplicated section

Related issues:

Related to Task #1449: Add Category Screen - اضافة قسم Open 07/15/2019

Duplicated by Bug #1702: the system should prevent the user from creating a n... Closed 08/29/2019

History

#1 - 08/01/2019 03:38 PM - Israa Naser

- Related to Task #1449: Add Category Screen - اضافة قسم  added

#2 - 08/15/2019 04:02 PM - Abed Abuhalawa

- Status changed from Open to Fixed

- Assignee changed from Abed Abuhalawa to Israa Naser

need deploy

#3 - 08/29/2019 12:19 PM - Israa Naser

- Duplicated by Bug #1702: the system should prevent the user from creating a new section if it's name is already defined  added

#4 - 08/29/2019 12:22 PM - Israa Naser

- File duplicated section name with space is worng.PNG added

- Status changed from Fixed to Feedback

- Assignee changed from Israa Naser to Abed Abuhalawa

- Co-Workers Israa Naser added
if the section name is duplicated and a space is added,

the system finds it ok and passes on

#5 - 08/29/2019 06:06 PM - Abed Abuhalawa

- Assignee changed from Abed Abuhalawa to Israa Naser

there is a validation prevent to repeat whole name without discard white space and similar Arabic latter like

أ, إ , ـة , ـه ,  ا

#6 - 08/31/2019 03:16 AM - Israa Naser

- File section name validation.PNG added

- Status changed from Feedback to Closed

- % Done changed from 0 to 100

- Co-Workers Abed Abuhalawa added

- Co-Workers deleted (Israa Naser)

Requirement related in SRS under

7.5    Use Cases

matching the names including spaces and special characters is limitation

Tested and verified

Files

duplicated section name with space is worng.PNG 40.5 KB 08/29/2019 Israa Naser

section name validation.PNG 108 KB 08/31/2019 Israa Naser
